JaasSimpleAuthenticationProvider.JaasConfig (Mule ESB 2.2.1 API)
Keywords: org.mule.module.jaas.JaasSimpleAuthenticationProvider.JaasConfig class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jaas
Class JaasSimpleAuthenticationProvider.JaasConfig

    java.lang.Object
      javax.security.auth.login.Configuration
          org.mule.module.jaas.JaasSimpleAuthenticationProvider.JaasConfig

Enclosing class:
  JaasSimpleAuthenticationProvider

    public static class JaasSimpleAuthenticationProvider.JaasConfig

extends Configuration

The JaasConfig class extends the Jaas Configuration in order to be able to configure the jaas security programmatically.

Constructor Summary
`JaasSimpleAuthenticationProvider.JaasConfig()`

Method Summary
`static void` | `addApplicationConfigEntry(String name, AppConfigurationEntry entry)` Adds the Configuration Entries
`AppConfigurationEntry[]` | `getAppConfigurationEntry(String applicationName)` Gets the configuration entries using the application Name
`static JaasSimpleAuthenticationProvider.JaasConfig` | `getJaasConfig()` Returns the Jas Configuration
`static void` | `init()` Initializes and sets the Jaas Configuration
`void` | `refresh()`

Methods inherited from class javax.security.auth.login.Configuration
`getConfiguration, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaasSimpleAuthenticationProvider.JaasConfig

    public JaasSimpleAuthenticationProvider.JaasConfig()

Method Detail

### init

    public static void init()

  Initializes and sets the Jaas Configuration

### getJaasConfig

    public static JaasSimpleAuthenticationProvider.JaasConfig getJaasConfig()

  Returns the Jas Configuration

  Returns:
    jaasConfig

### addApplicationConfigEntry

    public static void addApplicationConfigEntry(String name,
                                                 AppConfigurationEntry entry)

  Adds the Configuration Entries

  Parameters:
    `name` -
    `entry` -

### getAppConfigurationEntry

    public final AppConfigurationEntry[] getAppConfigurationEntry(String applicationName)

  Gets the configuration entries using the application Name

  Specified by:
    `getAppConfigurationEntry` in class `Configuration`
  Parameters:
    `applicationName` -
  Returns:

### refresh

    public void refresh()

  Specified by:
    `refresh` in class `Configuration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.